<template>
    <div class="text-status" :class="isStatus" v-if="status" :style="questionnaire">
        <div v-if="questionnaire">Ваша анкета заполнена на {{percent}}%</div>
        <slot></slot>
    </div>
</template>

<script>
export default {
    name: 'text-status',
    props: {
        status: {
            default: ''
        },
        percent: {
            default: 0
        }
    },
    computed: {
        isStatus() {
            switch (this.status) {
            case 'success':
                return 'success';
            case 'error':
                return 'error';
            case 'warning':
                return 'warning';
            case 'questionnaire':
                return 'questionnaire';
            default:
                return '';
            }
        },
        questionnaire() {
            if (this.status === 'questionnaire') {
                return `background: linear-gradient(to right, #FFA552 ${this.percent}%, transparent 0%, transparent 100%);`;
            }
            return '';
        }
    }
};
</script>

<style scoped>

</style>
